<template>
  <header class="flex">
    <div class="logo">
      <img src="@/assets/logo-bonus.svg" />
    </div>
    <div class="flex score">
      <h1 class="score__header">Score</h1>
      <p class="score__number">{{ score }}</p>
    </div>
  </header>
</template>

<script>
export default {
  props: ["score"],
};
</script>

<style scoped>
header {
  padding: 0.5em;
  border: 3px solid var(--neutral-header);
  justify-content: space-between;
  border-radius: 0.5rem;
  max-width: 35rem;
  margin-inline: 1.5rem;
  margin-top: 0.5rem;
}
.logo > img {
  height: 6rem;
}

@media (min-width: 37.5em) {
  header {
    width: 40rem;
    margin-inline: auto;
  }
}

.score {
  --gap: 0;
  padding: 0.5em;
  background: var(--neutral-white);
  flex-direction: column;
  border-radius: 0.5rem;
}

.score__header {
  color: var(--neutral-score);
  font-size: 1rem;
  font-weight: 600;
  text-transform: uppercase;
  letter-spacing: 0.09375rem;
}
.score__number {
  color: var(--neutral-header);
  font-size: 4rem;
  font-weight: 700;
  line-height: 1;
}
</style>
